Bug 205958 - my machine freeze from time to time
my machine freeze from time to time
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-10 16:26 EDT by Eric Doutreleau
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-14 06:00:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Doutreleau 2006-09-10 16:26:45 EDT
Description of problem:
from time to time our server is stuck for about an hour

Version-Release number of selected component (if applicable):
fedora core 5
kernel 2.6.17-1.2174_FC5smp 


How reproducible:
often

Steps to Reproduce:
1. launch a "big" program like matlab
2. wait a bit
3. the machine is stuck for about an hour and the date of the machine has lost
one hour.
afer about one hour it came back to life
  
Actual results:


Expected results:


Additional info:

here is the message on console and in /var/log/messages
Sep  8 22:15:59 helios kernel: BUG: write-lock lockup on CPU#6, MATLAB/23423,
c073da00 (Not tainted)
Sep  8 22:15:59 helios kernel:  <c04ea9f6> _raw_write_lock+0xe2/0x100 
<c0428135> do_exit+0x421/0x792
Sep  8 22:15:59 helios kernel:  <c042e343> __dequeue_signal+0x14a/0x155 
<c0428513> sys_exit_group+0x0/0xd
Sep  8 22:15:59 helios kernel:  <c042fc5b> get_signal_to_deliver+0x3a9/0x3d1 
<c0403564> do_notify_resume+0x75/0x5fa
Sep  8 22:15:59 helios kernel:  <c041f2e7> default_wake_function+0x0/0xc 
<c043b44b> sys_futex+0xc4/0xd7
Sep  8 22:15:59 helios kernel:  <c0403ece> work_notifysig+0x13/0x19
Comment 1 Dave Jones 2006-10-16 15:23:02 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Eric Doutreleau 2007-10-14 06:00:38 EDT
the problem is solved

thanks

Note You need to log in before you can comment on or make changes to this bug.